#ifndef LC6_LIBCHAT6_H
#define LC6_LIBCHAT6_H

typedef struct libchat_user {
	char nickname[256];
	char *pub_key;
	char *priv_key;
	char icon[32768];
} libchat_user;

enum LIBCHAT_ERRORS {
	LIBCHAT_ERROR_INPUT_NULL = 1
};

int libchat_init(libchat_user*);
libchat_user* libchat_create_user(libchat_user*);
void libchat_free_user(libchat_user*);

#endif
